/* Add font files for Xanh Mono */
@font-face {
  font-family: 'Xanh Mono';
  src: url('fonts/XanhMono-Italic.ttf');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Fragment';
  src: url('fonts/FragmentMono-Regular.ttf');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Fragment';
  src: url('fonts/FragmentMono-Italic.ttf');
  font-weight: normal;
  font-style: italic;
}

@font-face {
  font-family: 'Inter';
  src: url('fonts/Inter-VariableFont_opsz,wght.ttf');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Inter';
  src: url('fonts/Inter-Italic-VariableFont_opsz,wght.ttf');
  font-weight: normal;
  font-style: italic;
}

:root {
    --font-family-xanh-mono: 'Xanh Mono', serif;
    --font-family-inter: 'Inter', sans-serif;
    --font-family-fragment: 'Fragment', monospace;
    --Pink: #ff99cc;
    --Blue: #0033cc;
    --Light-Gray: rgba(249, 249, 249, 1);
    --Orange: rgba(255, 153, 0, 1);
    --beige: #ffc7b6;
    --brightpurple: #9966cc;
    --darkgreen: #339966;
    --sage: #99cc99;
    --blueblue: rgba(102, 204, 204, 1);
    --lightgreen: #a3d113;
    --bgcolor: rgba(255, 246, 238, 1);
    --brightgold: #ffcc33;
    --magentapink: #cc3399;
}


/* font styles */
h1 {
    font-family: 'Xanh Mono', serif;
    font-size: 3rem;
    line-height: 120%;
    margin-bottom: 5px;
}


h2 {
    font-family: 'Inter', sans-serif;
    font-weight: 600;
    font-size: 1.4rem;
    text-transform: uppercase;
    margin-bottom: 10px;
}

h3 {
    font-family: 'Inter', sans-serif;
    font-weight: 500;
    font-size: 1.1rem;
    text-transform: uppercase;
    margin-bottom: 40px;
    letter-spacing: -2%;
    line-height: 140%;
}

p {
    font-family: 'Inter', sans-serif;
    font-weight: 500;
    font-size: 1rem;
    letter-spacing: -2%;
    line-height: 140%;
}

.capcap {
    font-family: 'Inter', sans-serif;
    font-weight: 500;
    font-size: 14px;
    letter-spacing: -2%;
    line-height: 140%;
}

/* links */
a {
    text-decoration-line: none;
    color: #0033cc;
}

a:hover {
    background-color: transparent;
    filter: blur(1px);
}

a:visited {filter: blur(1px)}


/* images */
img {
    max-width: 100%;
    height: auto;
}

/*
img:hover {
    filter:blur(10px);
} 
*/


html, body, * {
    padding: 0;
    margin: 0;
}

* {
  box-sizing: border-box;
}

html {
    width: 100vw;
    max-width: 100%;
    max-height: 100%;
    scroll-behavior: smooth;
}

body {
    background-color: rgba(255, 246, 238, 1);
    color: black;
    align-content: top;
    padding-left: 20px;
    padding-right: 20px;
}


/* Content */
header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    text-align: center;
    display: flexbox;
    flex-direction: column;
    z-index: 1000;
}

#subheader {
    background-color: transparent;
    width: 100%;
}

footer {
    text-align: center;
    position: fixed;
    left: 0;
    width: 100%;
    bottom: 0;
}



/* Columns */
.container {
    display: flex;
    flex-direction: row;
    gap: 60px;
    justify-content: space-between;
    align-items: flex-start;
}

#col-left {
    order: 1;
    flex: 50%;
    height: 100vh; 
    overflow: auto;
}

#col-right {
    order: 2;
    flex: 50%;
    height: 100vh;
    overflow: auto;
}

#h2-right {
    font-family: 'Inter', sans-serif;
    font-weight: 600;
    font-size: 1.4rem;
    text-transform: uppercase;
    text-align: left;
    margin-top: 150px;
    margin-bottom: 40px;
    margin-left: 0;
    top: 0;
    position: relative;
}

#h2-left {
    font-family: 'Inter', sans-serif;
    font-weight: 600;
    font-size: 1.4rem;
    text-transform: uppercase;
    top: 0;
    position: relative;
    margin-top: 150px;
    margin-bottom: 40px;
}




 /* Hide scrollbar for WebKit (Chrome, Safari, Edge) */
#col-left::-webkit-scrollbar {
    display: none;
}

#col-right::-webkit-scrollbar {
    display: none;
}


/* Projects */
.project {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin-bottom: 40px;
    border-bottom: 2px dotted black;  
}

.project-title {
    font-family: 'Xanh Mono', serif;
    font-size: 1.4rem;
    line-height: 120%;
    letter-spacing: 10%;
    font-weight: 600;
}


.info {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    row-gap: 20px;
    column-gap: 10px;
    align-items: start;
    margin-bottom: 120px;
} 

.info > div {
            text-align: left;
        }

.button {
    font-family: 'Xanh Mono';
    font-size: 12px;
    font-weight: 600;
    cursor: pointer;
    color: #0033cc;
    letter-spacing: 10%;
    background-color: transparent;
    text-emphasis-style: circle;
    text-emphasis-color: #0033cc;
    margin-left: 1.5px;
}

#buttonScrollTop {
    font-family: 'Xanh Mono';
    font-size: 1.2rem;
    font-weight: 600;
    cursor: pointer;
    color: #0033cc;
    letter-spacing: 10%;
    background-color: transparent;
}

.active:hover {
    filter: blur(1px);
}

#scrollTopBtn {
    background-color: transparent;
    color: crimson;
    border: none;
    cursor: pointer;
    position: fixed; 
    bottom: 0; 
    right: 20px;
    font-size: 1.2rem;
    font-weight: 600;
    z-index: 999;
    line-height: 140%;
}


/* Hide element if the viewport width is 600px or less */
@media screen and (max-width: 800px) {
    header {display: none}
    footer {
        position: fixed; 
        bottom: 0; 
        left: 0; 
        padding: 10px; 
        margin-top: 40px; 
        text-align: left;
    }
    footer .capcap {font-size: .7rem; line-height: 120%;}
    body {padding: 10px;}
    #subheader {display: none;}
    h1 {font-size: 1.6rem;}
    #h2-left {display: none;}
    #h2-right {display: none;}
    h3 {font-size: 1rem; line-height: 130%; margin-bottom: 20px}
    p {line-height: 140%; font-size: .8rem;}
    .container {gap: 20px; padding: 0; flex-direction: column;}
    #col-left {
        padding-top: 40px;
        padding-bottom: 10px;
    }
    #col-right {
        padding-top: 0;
        display: none;
    }
    .project {
        margin-bottom: 20px;
    }
    .project-title {font-size: 1.8rem; line-height: 100%;}
    .info {
        grid-template-columns: repeat(1, 1fr);
        row-gap: 10px;
        margin-bottom: 30px;
    }
    #scrollTopBtn {display: none;}
    .button {font-size: 10px;}
    #buttonScrollTop {font-size: 1rem;}
    .gallery-item {
        width: 100%;    
    }
    figcaption {
        margin-top: 0; 
        padding-top: 0;
    }
}    

@media screen and (min-width: 800px) {
    .topnav {
        display: none;
    }
    #seemywork {
        display: none;
    }
    .page {
        padding: 180px;
        top: 160px;
        gap: 40px;
    }
    .pagebox {
        margin-left: 80px; 
        margin-right: 80px;
        padding-top: 100px;
        padding-bottom: 100px;
        font-size: .7rem;
    }
    .caption {
        font-size: .7rem;
    }
        
    }

@media screen and (min-width: 1440px) {
    .container {
        gap: 100px;
    }
    .page {
        padding: 400px;
    }
    .pagebox {
        margin-left: 120px; 
        margin-right: 120px;
        padding-top: 100px;
        padding-bottom: 100px;
        font-size: .7rem;
    }
}


.topnav {
    overflow: hidden;
    background-color: transparent;
    position: relative;
}

.topnav #myLinks {
    display: none;
    font-family: 'Xanh Mono';
    font-weight: 700;
    font-size: 1.4rem;
    text-align: right;
    line-height: 100%;
    letter-spacing: 10%;
    padding-top: 10px;
}

.topnav a {
    color: #cc3399;
    text-decoration: none;
    display: block;
    padding-bottom: 12px;
}

.topnav a.icon {
    background: transparent;
    display: block;
    position: absolute;
    right: 0;
    top: 0;
}





/* Pages */
.page {
    padding-top: 40px;
    padding-bottom: 100px;
    margin: 0;
    display: flex;
    flex-direction: column;
    justify-content: safe;
    align-content: center;
    gap: 20px;
    overflow: auto;
    width: 100%;
    position: relative;
}

.page img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.pagebox {
    font-family: 'Fragment', monospace;
    font-size: 0.6rem;
    letter-spacing: 10%;
    line-height: 160%;
}

.caption {
    font-family: 'Fragment', monospace;
    font-size: 0.6rem;
    letter-spacing: 10%;
    line-height: 160%;
}


/* Image grid */

.gallery {  
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 10px;
    overflow: hidden;
}

.gallery-item {
    height: 100%;
    width: 50%;
}

.gallery-item img {margin-bottom: 5px;}